#include "ScriptPCH.h"

class item_teleporteur : public ItemScript
{
    public:
        item_teleporteur() : ItemScript("item_teleporteur") { }
        
        ChatHandler handler(player);
        
        if (pPlayer->isInCombat())
        {
            handler.PSendSysMessage("Un combat est en cours !");
            return false;
        }

        bool OnUse(Player* player)
        {
            player->TeleportTo(1, -1589.76f, 3071.52f, 49.1855f, 2.88788f);
            return true;
        }
};

void AddSC_item_teleporteur()
{
    new item_teleporteur();
}


